import common from '../../utils/util';
import server from '../../utils/main';

const app = getApp();

Page({
  data: {
    PayList: null,
  },
  onLoad: function (options) {
    this.setData({
      Containnerheight: common.getSystemHeight(),
      IsShowShare:true,
    });

    var that=this;
    server.getData('GetShareText500?Version=' + app.globalData.Version + '&ProgramID=' + app.globalData.ProgramID, function (data) {
      if (data) {
        that.setData({
          Data: data,
        });
      }
    });
  },
  onClose:function(e){
    if (e.currentTarget.dataset.id==1){
      wx.setStorageSync("IsShare", 1);
    }
    wx.navigateBack({
      delta: 1
    });
  },
  onClose2: function () {
    this.setData({
      IsShowShare:false,
    });
  },
  onShareAppMessage: function () {
    return {
      title: app.globalData.ShareTitle,
      path: app.globalData.SharePath + '?UserID=' + app.globalData.userInfo.UserID,
      imageUrl: app.globalData.ShareImage,
    }
  },
});